/**********************************************************************************************************************
 * Copyright (c) Prophesee S.A.                                                                                       *
 *                                                                                                                    *
 * Licensed under the Apache License, Version 2.0 (the "License");                                                    *
 * you may not use this file except in compliance with the License.                                                   *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0                                 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed   *
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.                      *
 * See the License for the specific language governing permissions and limitations under the License.                 *
 **********************************************************************************************************************/

#ifndef METAVISION_SDK_CORE_INDEX_MANAGER_H
#define METAVISION_SDK_CORE_INDEX_MANAGER_H

#include <iostream>

#include "metavision/sdk/core/utils/index_generator.h"
#include "metavision/sdk/core/utils/counter_map.h"

namespace Metavision {

struct IndexManager {
public:
    /// @brief Constructor
    IndexManager() {}

    /// @brief Destructor
    ~IndexManager() {}

public:
    IndexGenerator index_generator_;
    CounterMap<uint8_t> counter_map_;
};

} // namespace Metavision

#endif // METAVISION_SDK_CORE_INDEX_MANAGER_H
